<?php

// The above starts the PHP and it ends down at the bottom
// You can end PHP at any time write HTML and go back into PHP or not, etc.

// CONNECT TO THE DATABASE - set this up in cPanel, etc.
// Note: in PHP the variables start with $
// $hostname = "localhost"; // just use "localhost"
// $username = "username";  // enter your own values for these three
// $password = "password";
// $databasename = "databasename";
// $mysqli = new mysqli($hostname, $username, $password, $databasename);

// Use MySQLi or PDO for a safer way to connect (mysql is old and unsafe)
// We are using the object oriented version of mysqli so note the new keyword
// $mysqli = new mysqli($hostname, $username, $password, $databasename);

// We are hiding our information in a remote PHP page
require_once('../../all/allNew.php');


// COLLECTING DATA
// We collect get or post data as $_GET["property"] or $_POST["property"]
// These are global environment variables in PHP
// Data can come from an HTML form, JSONp call, AJAX call, etc. it does not matter
// We use the PHP isset() function to find out if the property exists

$name = isset($_POST["name"]) ? $_POST["name"] : "";
$count = isset($_POST["count"]) ? $_POST["count"] : "";
$color = isset($_POST["color"]) ? $_POST["color"] : "";

// DATABASE TABLES
// A Database can have tables added to them in PHPMyAdmin for instance (see cPanel, etc.)
// A TABLE is used to hold data for a project or part of a project
// Some projects may have user information in one table and page stats in another, etc.
// The table has field names going across top (columns)
// and records going down (rows) with data stored in the appropriate column
// Each table must (is supposed to) have a primary key field - that is unique
// There is an auto incrementing setting to automatically increase an id if desired
// Each field can hold a certain type of data like an int, varchar, text, date, etc.
// These are specified as the table is made or set up at the start

// OUR TABLE
// Our table is called zim_learn_form
// We want to store an id, name, count and color
// These are our fields across the top - id, name, count and color
// The id will be an int of length 256 is fine and set to AI (auto increment)
// Then we will have text, int and text types

// MYSQLi - or use PDO - similar
// MySQLi has bindings for security - this prevents MySQL injection hacks
// Anything that is collected from the client should start as a ?
// and then the ? gets bound with the bind_parameters method
// Here are the (many) steps.
// The statements in most cases describe what is happening as well as I can
// The point of this is not to teach MYSQL - it is a well documented huge query language
// One might also look into GraphQL as a modern alternative query layer

// Here we store a MYSQL query statement in a string
// INSERT INTO the table the id, name, count, color
// the id is auto incrementing so it does not need a value
// Note the ? for information that comes from the client
$query = "INSERT INTO zim_learn_form (id, name, count, color) VALUES (NULL, ?, ?, ?)";
$stmt = $mysqli->stmt_init();
if ($stmt->prepare($query)) {
    // "sis" means string integer string
    // We then match these with our input data from the client
    // $name, $count, $color
    $stmt->bind_param("sis", $name, $count, $color); // matches the ? in the query
    $stmt->execute();
    // if we wanted to call another query here
    // we would need to close this one
    // $stmt->close();

    // write the HTML for the result page
    echo "THANKS SPORT!";
} else {
    echo "OOPS!  DATA NOT COLLECTED";
}
?>
