<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title>ZIM Skool - Sample Form Results</title>
        <style>
            body {
                padding:60px;
                font-family:verdana;
            }
            th {
                padding:10px;
                background-color: orange;
                color:white;
            }
            td {
                padding:10px;
                background-color: #333;
                color:white;
            }
        </style>
    </head>
    <body>

<?php

    // $hostname = "localhost"; // do NOT change this
    // $username = "username"; // change these
    // $password = "password"; // change these
    // $databasename = "databasename"; // change these
    // $mysqli = new mysqli($hostname, $username, $password, $databasename);

    // use above and remove this
    require_once('../../all/allNew.php');

    $visitor = isset($_POST["visitor"]) ? $_POST["visitor"] : "";
    $count = isset($_POST["count"]) ? $_POST["count"] : 0;

    // create our query but put a ? wherever user information would go (visitor and count)
    // also, change the tablename to your tablename
    // the id can be null if it has been set to auto-increment in the table structure
    $query = "INSERT INTO zim_learn_sample (id, visitor, date, count) VALUES (NULL, ?, CURDATE(), ?)";

    // use MySQLi "prepared statements" to bind the user data to the statement
    // create, prepare, bind, execute and close a statement (sorry for the complexity!)
    $stmt = $mysqli->stmt_init();
    if ($stmt->prepare($query)) {
        $stmt->bind_param("si", $visitor, $count); // matches the ? in the query
        // options for the letters are s, i, b - string, integer, blob (picture)
        $stmt->execute();
        $stmt->close(); // if we are doing another statement
        echo "Thank you";
    } else {
        echo "Oops, an error";
    }

    // make the query to select from the database
    // this will select visitors with the same count
    // the count came from the client computer so use the ? for binding
    // btw the count is just an extra number we sent along to show more data
    // you do not need to use a WHERE at all if you want all records
    // you can also ORDER BY date DESC LIMIT 10, etc. and more - search SQL
    // after the SELECT comes the fields for which we want to receive data
    // this is not the rows but rather the columns!
    // change the tablename to your table
    $query = "SELECT visitor, date FROM zim_learn_sample WHERE count=?";

    $stmt = $mysqli->stmt_init();
    if ($stmt->prepare($query)) {
        $stmt->bind_param("i", $count); // matches the ? in the query
        $stmt->execute();
        // bind results for a prepared statement
        // the order matches the fields we selected
        $stmt->bind_result($tempVisitor, $tempDate);
        // create an HTML table and fill it with fetched results
        echo "<br><br><table>
        <tr><th>VISITOR</th><th>DATE</th></tr>";
        // this gets each result record and inserts the data into our temp variables
        // we called them temp, because they get overwritten for each result record
        while ($stmt->fetch()) {
            echo "<tr>
                    <td>".$tempVisitor."</td>
                    <td>".$tempDate."</td>
                </tr>";
        }
        echo "</table>";
        $stmt->close();
    } else {
        echo "<br><br>Sorry could not retrieve data";
    }
?>

</body>
</html>
